*{
  margin:0;
  padding:0;
  box-sizing:border-box;
  scroll-behavior:smooth;
}

body{
  font-family: "Poppins", sans-serif;
  background:#F8F5F0;
  color:#222;
  overflow-x:hidden;
}

img{
  width:100%;
  display:block;
}

a{
  text-decoration:none;
  color:inherit;
}

section{
  padding:100px 8%;
}

.container{
  max-width:1400px;
  margin:auto;
}

h1,h2,h3{
  font-family:'Cormorant Garamond', serif;
  font-weight:500;
}

h2{
  font-size:80px;
  margin-bottom:30px;
}

p{
  line-height:1.8;
  color:#555;
}

/* =========================
    NAVBAR
========================= */

nav{
  width:100%;
  height:70px;
  background:rgba(248,245,240,0.9);
  backdrop-filter:blur(10px);
  position:fixed;
  top:0;
  left:0;
  z-index:1000;
  border-bottom:1px solid #e7dfd5;
}

.nav-container{
  width:85%;
  height:100%;
  margin:auto;
  display:flex;
  align-items:center;
  justify-content:space-between;
}

.logo{
  font-size:28px;
  font-family:'Cormorant Garamond', serif;
  font-weight:600;
  color:#C76B32;
}

.navlogo{
    width: 150px;
}

.nav-links{
  display:flex;
  gap:40px;
  font-weight: 500
}

.nav-links a{
  font-size:15px;
  transition:0.3s;
}

.nav-links a:hover{
  color:#C76B32;
}

.menu-btn{
  display:none;
  font-size:30px;
  cursor:pointer;
}

/* =========================
    HERO
========================= */

.hero{
  min-height:100vh;
  background:
  linear-gradient(rgba(0, 0, 0, 0.35),rgba(81, 27, 5, 0.35)),
  url('Image/hero01.webp');

  background-size:cover;
  background-position:center;
  display:flex;
  align-items:center;
  color:white;
  padding-top:100px;
}

.hero-content{
  max-width:650px;
  
}
.hero .container{
  width:100%;
  padding-left:6%;
}

.hero h1{
  font-size:85px;
  line-height:1;
  margin-bottom:30px;
}

.hero p{
  color:#eee;
  font-size:18px;
  margin-bottom:40px;
  max-width:500px;
}

.btn{
  display:inline-block;
  padding:16px 36px;
  background:#C76B32;
  color:white;
  border:none;
  border-radius:50px;
  transition:0.3s;
  font-size:15px;
  cursor:pointer;
}

.btn:hover{
  background:#A8552A;
  transform:translateY(-3px);
}

/* =========================
    ABOUT
========================= */

.about{
    display:grid;
  grid-template-columns:1.3fr 0.8fr;
  gap:40px;
  align-items:center;
}

.about-img{
  height:450px;
  width:85%;
  margin-left:auto;
  margin-right: auto;
  overflow:hidden;
  border-radius:10px;
}
.about p{
  font-size:18px;
  line-height:1.9;
  max-width:600px;
}

.about-img img{
  height:100%;
  object-fit:cover;
  transition:0.5s;
}

.about-img:hover img{
  transform:scale(1.05);
}

/* =========================
    SERVICES
========================= */

.services{
  background:#EFE7DC;
  text-align:center;
}

.services-grid{
  margin-top:60px;
  display:grid;
  grid-template-columns:repeat(4,1fr);
  gap:30px;
}

.service-card{
  background:white;
  padding:50px 30px;
  border-radius:10px;
  transition:0.4s;
  box-shadow:0 5px 20px rgba(0,0,0,0.04);
}

.service-card:hover{
  transform:translateY(-10px);
}

.service-card h3{
  font-size:28px;
  margin-bottom:15px;
}

/* =========================
    PROJECTS
========================= */
/* 
[TALL]
[NORMAL]

[NORMAL]
[WIDE]

[TALL] */

.portfolio{
  padding:120px 8%;
  background:#F8F5F0;
}

.portfolio-title{
  text-align:center;
  font-size:72px;
  margin-bottom:70px;
}

/* MASONRY LAYOUT */

.portfolio-grid{
  column-count:2;
  column-gap:28px;
}

/* CARD */

.portfolio-card{
  position:relative;
  overflow:hidden;
  margin-bottom:28px;
  break-inside:avoid;
}

/* IMAGE */

.portfolio-card img{
  width:100%;
  display:block;
  object-fit:cover;
  transition:0.5s ease;
}

/* DIFFERENT CARD HEIGHTS */

.portfolio-card img{
  height:420px;
}

.portfolio-card.tall img{
  height:650px;
}

.portfolio-card.wide img{
  height:500px;
}

/* HOVER */

.portfolio-card:hover img{
  transform:scale(1.05);
}

/* CONTENT BOX */

.portfolio-content{
  position:absolute;
  left:0;
  bottom:35px;
  background:#F8F5F0;
  padding:28px 35px;
  width:75%;
}

.portfolio-content h3{
  font-size:42px;
  margin-bottom:12px;
}

.portfolio-content p{
  font-size:17px;
  color:#555;
}




/* =========================
    IMAGE POPUP
========================= */

.image-popup{
  position:fixed;
  inset:0;
  background:rgba(0,0,0,0.92);

  display:flex;
  align-items:center;
  justify-content:center;

  opacity:0;
  visibility:hidden;

  transition:0.4s ease;

  z-index:9999;
}

.image-popup.active{
  opacity:1;
  visibility:visible;
}

.image-popup img{
  max-width:90%;
  max-height:90vh;
  object-fit:contain;

  transform:scale(0.9);
  transition:0.4s ease;
}

.image-popup.active img{
  transform:scale(1);
}

/* CLOSE BUTTON */

.close-btn{
  position:absolute;
  top:30px;
  right:40px;

  font-size:50px;
  color:white;
  cursor:pointer;

  font-weight:300;
}






/* =========================
    WHY CHOOSE
========================= */

.why{
  padding:120px 8%;
  background:#EFE7DC;
}

.why-wrapper{
  display:grid;
  grid-template-columns:1fr 1fr;
  gap:80px;
  align-items:start;
}

/* LEFT SIDE */

.why-tag{
  font-size:13px;
  letter-spacing:3px;
  color:#C76B32;
  margin-bottom:25px;
}

.why-left h2{
  font-size:64px;
  line-height:1.1;
  color:#222;
  max-width:600px;
}

/* RIGHT SIDE */

.why-right{
  padding-top:20px;
}

.why-right p{
  font-size:17px;
  line-height:2;
  color:#555;
  max-width:500px;
}





/* =========================
    TESTIMONIALS
========================= */

.testimonials-section{
  padding:120px 8%;
  background:#F8F5F0;
}

/* MASONRY LAYOUT */

.testimonials-grid{
  column-count:2;
  column-gap:28px;
}

/* ALL ITEMS */

.testimonial,
.testimonial-title-card{
  break-inside:avoid;

  margin-bottom:28px;
}

/* TITLE CARD */

.testimonial-title-card{
  background:#C76B32;
  color:white;

  padding:62px;
}

.testimonial-title-card h2{
  font-size:72px;
  margin-bottom:20px;
  color:white;
}

.testimonial-title-card p{
  color:#f3f3f3;
  line-height:1.9;
}

/* TESTIMONIAL CARD */

.testimonial{
  background:#EFE7DC;

  padding:50px;

  position:relative;

  transition:0.4s ease;
}

.testimonial:hover{
  transform:translateY(-6px);
}

/* TALL CARD */

.testimonial.tall{
  padding-top:90px;
  padding-bottom:90px;
}

/* QUOTE */

.quote{
  font-size:90px;

  position:absolute;

  top:10px;
  left:20px;

  color:#C76B32;
}

/* TEXT */

.testimonial p{
  line-height:1.9;
  color:#555;
}

.client{
  margin-top:25px;
  font-weight:600;
  color:#222;
}



/* =========================
    CONTACT
========================= */

.contact{
  padding:120px 8%;
  background:#EFE7DC;
}

.contact-wrapper{
  display:grid;
  grid-template-columns:1fr 1fr;
  gap:50px;
  align-items:stretch;
}

/* LEFT */

.contact-content{
  background:#F8F5F0;
  padding:60px;
}

.contact-content h2{
  font-size:72px;
  margin-bottom:20px;
}

.contact-text{
  margin-bottom:40px;
  line-height:1.9;
  color:#666;
}

/* FORM */

form{
  display:flex;
  flex-direction:column;
  gap:20px;
}

input,
textarea{
  width:100%;

  padding:18px 20px;

  border:none;
  outline:none;

  background:white;

  font-size:15px;

  color:#222;
}

textarea{
  height:180px;
  resize:none;
}

/* BUTTON */

.btn{
  display:inline-block;

  padding:18px 36px;

  background:#C76B32;

  color:white;

  border:none;

  cursor:pointer;

  font-size:15px;

  transition:0.4s ease;
}

.btn:hover{
  background:#A8552A;
  letter-spacing:1px;
}

/* RIGHT SIDE */

.contact-right{
  display:flex;
  flex-direction:column;
}

/* MAP */

.contact-map{
  height:500px;
  overflow:hidden;
}

.contact-map iframe{
  width:100%;
  height:100%;
}

/* CONTACT INFO */

.contact-info{
  margin-top:30px;

  display:grid;
  grid-template-columns:1fr 1fr;

  gap:20px;
}

/* BOX */

.info-box{
  background:#F8F5F0;

  padding:25px;
}

.info-box h4{
  margin-bottom:10px;
  font-size:18px;
}

.info-box p{
  color:#666;
  line-height:1.8;
}

/* ADDRESS FULL WIDTH */

.address-box{
  grid-column:span 2;
}

/* =========================
    FOOTER
========================= */

footer{
  background:#111;
  color:white;
  text-align:center;
  padding:25px;
  font-size:14px;
}



/* =========================
    WHATSAPP FLOAT BUTTON
========================= */

.whatsapp-float{
  position:fixed;

  right:25px;
  bottom:25px;

  width:65px;
  height:65px;

  background:#25D366;

  border-radius:50%;

  display:flex;
  align-items:center;
  justify-content:center;

  box-shadow:0 10px 25px rgba(0,0,0,0.18);

  z-index:999;

  transition:0.4s ease;
}

.whatsapp-float:hover{
  transform:translateY(-5px) scale(1.08);
}

.whatsapp-float img{
  width:34px;
  height:34px;
}


/* =========================
    form-message
========================= */

/* POPUP */

.popup{

  position:fixed;

  top:50%;
  left:50%;

  transform:translate(-50%, -50%) scale(0.8);

  width:320px;

  background:white;

  padding:40px 30px;

  border-radius:20px;

  text-align:center;

  box-shadow:0 20px 60px rgba(0,0,0,0.2);

  opacity:0;

  visibility:hidden;

  transition:0.4s ease;

  z-index:9999;

}

/* SHOW POPUP */

.show-popup{

  opacity:1;

  visibility:visible;

  transform:translate(-50%, -50%) scale(1);

}

/* ICON */

.popup-icon{

  width:70px;
  height:70px;

  margin:auto auto 20px;

  background:#C76B32;

  color:white;

  border-radius:50%;

  display:flex;
  align-items:center;
  justify-content:center;

  font-size:32px;

}

/* TITLE */

.popup h3{

  font-size:28px;

  margin-bottom:10px;

}

/* TEXT */

.popup p{

  color:#666;

  line-height:1.6;

}






/* =========================
    RESPONSIVE
========================= */

@media(max-width:1100px){

  .hero h1{
    font-size:65px;
  }

  .services-grid{
    grid-template-columns:repeat(2,1fr);
  }

  .about
  {
    grid-template-columns:1fr 1fr;
  }

 .contact-info{
    grid-template-columns:1fr;
  }

  .address-box{
    grid-column:span 1;
  }

  .contact-map{
    height:400px;
  }

}

@media(max-width:768px){

  section{
    padding:80px 6%;
  }

  h2{
    font-size:45px;
  }

  .hero h1{
    font-size:52px;
  }

  .nav-links{
    position:absolute;
    top:70px;
    right:-100%;
    width:260px;
    height:100vh;
    background:#F8F5F0;
    flex-direction:column;
    padding:50px 30px;
    transition:0.4s;
  }

  .nav-links.active{
    right:0;
  }

  .menu-btn{
    display:block;
  }

  .services-grid{
    grid-template-columns:1fr;
  }

  .project-card img{
    height:400px;
  }

  .about
  {
    grid-template-columns:1fr;
  }

  .about-img,
  .contact-img{
    height:400px;
  }

  .contact-info{
    grid-template-columns:1fr;
  }

  .address-box{
    grid-column:span 1;
  }

  .contact-map{
    height:400px;
  }



}


/* =========================
    PROJECTS
========================= */

/* RESPONSIVE */

@media(max-width:992px){

  .portfolio-grid{
    column-count:1;
  }

}

@media(max-width:768px){

  .portfolio{
    padding:90px 6%;
  }

  .portfolio-title{
    font-size:48px;
    margin-bottom:50px;
  }

  .portfolio-content{
    width:85%;
    padding:20px;
  }

  .portfolio-content h3{
    font-size:34px;
  }

}


/* =========================
    TESTIMONIALS
========================= */


/* RESPONSIVE */

@media(max-width:1100px){

  .testimonial-title-card h2{
    font-size:48px;
  }

}

@media(max-width:768px){

  .testimonials-grid{
    column-count:1;
  }

  .testimonial-title-card h2{
    font-size:48px;
  }

}


/* =========================
    why
========================= */


/* RESPONSIVE */

@media(max-width:992px){

  .why-wrapper{
    grid-template-columns:1fr;
    gap:40px;
  }

}

@media(max-width:768px){

  .why{
    padding:90px 6%;
  }

  .why-left h2{
    font-size:42px;
  }

  .why-right p{
    font-size:16px;
    line-height:1.9;
  }

}





/* =========================
    CONTACT
========================= */

/* RESPONSIVE */

@media(max-width:992px){

  .contact-wrapper{
    grid-template-columns:1fr;
  }

  .contact-map{
    height:500px;
  }

}

@media(max-width:768px){

  .contact{
    padding:90px 6%;
  }

  .contact-content{
    padding:40px 30px;
  }

  .contact-content h2{
    font-size:48px;
  }

  .contact-info{
    grid-template-columns:1fr;
  }

  .contact-map{
    height:400px;
  }

}